solarOSsolarOS Docs

List enabled Project Templates

Returns Project Templates enabled for the requesting company, including its platform preferences, with stages, items, arranged Project Scope fields and their Placement Sections, and supportsPublicProjectCreate markers. Required scope: projects:read.

GET
/project-templates

Returns Project Templates enabled for the requesting company, including its platform preferences, with stages, items, arranged Project Scope fields and their Placement Sections, and supportsPublicProjectCreate markers. Required scope: projects:read.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/project-templates"
{  "data": [    {}  ],  "meta": {    "nextCursor": "string",    "hasMore": true,    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}